Subject: Re: bug#59617: 29.0.50; Add indent styles to all tree-sitter modes

From: Yuan Fu <[email-masked]>
Date: Wed, 30 Nov 2022 13:44:39 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Theodor Thornhill <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Tue, 29 Nov 2022 16:19:26 +0100
>> 
>> Theodor Thornhill <[email-masked]> writes:
>> 
>> > Rebased on emacs-29.
>> >
>> 
>> Is this good to go or should I change something here?
>
> Good to go from my POV, but I wanted also to hear from Yuan.
>
> Thanks.

Hey sorry, I was busy with some other things. I’ve looked at the patch,
it seems adding a hook that sets treesit-simple-indent-rules would have
the same effect, no? (Ie, user already can set a custom indent style)
Like instead of

(defvar my-personal-csharp-mode-indent-rules (...))

(setq csharp-ts-mode-indent-style
      (lambda () my-personal-csharp-mode-indent-rules))

you can just do

(defvar my-personal-csharp-mode-indent-rules (...))

(add-hook 'csharp-mode-hook
          (lambda ()
           (setq treesit-simple-indent-rules
                 my-personal-csharp-mode-indent-rules)))

This way there is no need to define a custom option and a function for
each mode. And users can use the same variable
treesit-simple-indent-rules, just in different major mode hooks.

Yuan